Subject: Help : b18 getgroups not found in cygwin.dll
From: [email-masked]

11 Feb 1998 19:10:46 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   [email-masked]
>De:   O.Dufailly
>Objet:   Help : b18 getgroups not found in cygwin.dll
>
>
>I use the beta 18 release, I can not use the standard shell "configure".
>
>I always receive the following windows message :
>  " getgroups not found in cygwin.dll "
>
>I think, it is an installation mistake, but which one ?
>
>PS : I was trying to compile kaffee or mSQL
>
You're right.  Getgroups isn't there, probably because there is no mechanism
for it in Windows 95.  There is a subset of functionality not yet implemented
in cygwin, but which configure scripts often search for: chroot, getgroups
(lynx wants getgroups also), setpwent, etc.  You can rewrite the configure
script to eliminate the getgroups exit and add a separate library of dummy
functions, and that may work.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".